Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery.value
Class Type

    java.lang.Object
      org.exist.xquery.value.Type

public class Type
extends java.lang.Object

Defines all built-in types and their relations.

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Field Summary
`static int` | `ANY_TYPE`
`static int` | `ANY_URI`
`static int` | `ATOMIC`
`static int` | `ATTRIBUTE`
`static int` | `BASE64_BINARY`
`static int` | `BOOLEAN`
`static int` | `BYTE`
`static int` | `COMMENT`
`static int` | `DATE`
`static int` | `DATE_TIME`
`static int` | `DAY_TIME_DURATION`
`static int` | `DECIMAL`
`static int` | `DOCUMENT`
`static int` | `DOUBLE`
`static int` | `DURATION`
`static int` | `ELEMENT`
`static int` | `EMPTY`
`static int` | `ENTITY`
`static int` | `FLOAT`
`static int` | `FUNCTION_REFERENCE`
`static int` | `GDAY`
`static int` | `GMONTH`
`static int` | `GMONTHDAY`
`static int` | `GYEAR`
`static int` | `GYEARMONTH`
`static int` | `HEX_BINARY`
`static int` | `ID`
`static int` | `IDREF`
`static int` | `IDX_FULLTEXT` Special type constant to indicate that an item has been fulltext indexed.
`static int` | `INT`
`static int` | `INTEGER`
`static int` | `ITEM`
`static int` | `JAVA_OBJECT`
`static int` | `LANGUAGE`
`static int` | `LONG`
`static int` | `NAME`
`static int` | `NAMESPACE`
`static int` | `NCNAME`
`static int` | `NEGATIVE_INTEGER`
`static int` | `NMTOKEN`
`static int` | `NODE`
`static java.lang.String[]` | `NODETYPES`
`static int` | `NON_NEGATIVE_INTEGER`
`static int` | `NON_POSITIVE_INTEGER`
`static int` | `NORMALIZED_STRING`
`static int` | `NUMBER`
`static int` | `POSITIVE_INTEGER`
`static int` | `PROCESSING_INSTRUCTION`
`static int` | `QNAME`
`static int` | `SHORT`
`static int` | `STRING`
`static int` | `TEXT`
`static int` | `TIME`
`static int` | `TOKEN`
`static int` | `UNSIGNED_BYTE`
`static int` | `UNSIGNED_INT`
`static int` | `UNSIGNED_LONG`
`static int` | `UNSIGNED_SHORT`
`static int` | `UNTYPED_ATOMIC`
`static int` | `YEAR_MONTH_DURATION`

Constructor Summary
`Type()`

Method Summary
`static void` | `defineBuiltInType(int type, java.lang.String name)`
`static void` | `defineSubType(int supertype, int subtype)` Define supertype/subtype relation.
`static int` | `getCommonSuperType(int type1, int type2)` Find a common supertype for two given type codes.
`static int` | `getSuperType(int subtype)` Get the type code of the supertype of the specified subtype.
`static int` | `getType(QName qname)` Get the type code for a type identified by its QName.
`static int` | `getType(java.lang.String name)` Get the type code for a type identified by its internal name.
`static java.lang.String` | `getTypeName(int type)` Get the internal name for the built-in type.
`static boolean` | `subTypeOf(int subtype, int supertype)` Check if the given type code is a subtype of the specified supertype.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODETYPES

    public static final java.lang.String[] NODETYPES

### NODE

    public static final int NODE

See Also:
  Constant Field Values

### ELEMENT

    public static final int ELEMENT

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final int ATTRIBUTE

See Also:
  Constant Field Values

### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

### PROCESSING_INSTRUCTION

    public static final int PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

### DOCUMENT

    public static final int DOCUMENT

See Also:
  Constant Field Values

### NAMESPACE

    public static final int NAMESPACE

See Also:
  Constant Field Values

### EMPTY

    public static final int EMPTY

See Also:
  Constant Field Values

### ITEM

    public static final int ITEM

See Also:
  Constant Field Values

### ANY_TYPE

    public static final int ANY_TYPE

See Also:
  Constant Field Values

### ATOMIC

    public static final int ATOMIC

See Also:
  Constant Field Values

### UNTYPED_ATOMIC

    public static final int UNTYPED_ATOMIC

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

See Also:
  Constant Field Values

### QNAME

    public static final int QNAME

See Also:
  Constant Field Values

### ANY_URI

    public static final int ANY_URI

See Also:
  Constant Field Values

### BASE64_BINARY

    public static final int BASE64_BINARY

See Also:
  Constant Field Values

### HEX_BINARY

    public static final int HEX_BINARY

See Also:
  Constant Field Values

### NUMBER

    public static final int NUMBER

See Also:
  Constant Field Values

### INTEGER

    public static final int INTEGER

See Also:
  Constant Field Values

### DECIMAL

    public static final int DECIMAL

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### NON_POSITIVE_INTEGER

    public static final int NON_POSITIVE_INTEGER

See Also:
  Constant Field Values

### NEGATIVE_INTEGER

    public static final int NEGATIVE_INTEGER

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### SHORT

    public static final int SHORT

See Also:
  Constant Field Values

### BYTE

    public static final int BYTE

See Also:
  Constant Field Values

### NON_NEGATIVE_INTEGER

    public static final int NON_NEGATIVE_INTEGER

See Also:
  Constant Field Values

### UNSIGNED_LONG

    public static final int UNSIGNED_LONG

See Also:
  Constant Field Values

### UNSIGNED_INT

    public static final int UNSIGNED_INT

See Also:
  Constant Field Values

### UNSIGNED_SHORT

    public static final int UNSIGNED_SHORT

See Also:
  Constant Field Values

### UNSIGNED_BYTE

    public static final int UNSIGNED_BYTE

See Also:
  Constant Field Values

### POSITIVE_INTEGER

    public static final int POSITIVE_INTEGER

See Also:
  Constant Field Values

### DATE_TIME

    public static final int DATE_TIME

See Also:
  Constant Field Values

### DATE

    public static final int DATE

See Also:
  Constant Field Values

### TIME

    public static final int TIME

See Also:
  Constant Field Values

### DURATION

    public static final int DURATION

See Also:
  Constant Field Values

### YEAR_MONTH_DURATION

    public static final int YEAR_MONTH_DURATION

See Also:
  Constant Field Values

### DAY_TIME_DURATION

    public static final int DAY_TIME_DURATION

See Also:
  Constant Field Values

### GYEAR

    public static final int GYEAR

See Also:
  Constant Field Values

### GMONTH

    public static final int GMONTH

See Also:
  Constant Field Values

### GDAY

    public static final int GDAY

See Also:
  Constant Field Values

### GYEARMONTH

    public static final int GYEARMONTH

See Also:
  Constant Field Values

### GMONTHDAY

    public static final int GMONTHDAY

See Also:
  Constant Field Values

### TOKEN

    public static final int TOKEN

See Also:
  Constant Field Values

### NORMALIZED_STRING

    public static final int NORMALIZED_STRING

See Also:
  Constant Field Values

### LANGUAGE

    public static final int LANGUAGE

See Also:
  Constant Field Values

### NMTOKEN

    public static final int NMTOKEN

See Also:
  Constant Field Values

### NAME

    public static final int NAME

See Also:
  Constant Field Values

### NCNAME

    public static final int NCNAME

See Also:
  Constant Field Values

### ID

    public static final int ID

See Also:
  Constant Field Values

### IDREF

    public static final int IDREF

See Also:
  Constant Field Values

### ENTITY

    public static final int ENTITY

See Also:
  Constant Field Values

### JAVA_OBJECT

    public static final int JAVA_OBJECT

See Also:
  Constant Field Values

### FUNCTION_REFERENCE

    public static final int FUNCTION_REFERENCE

See Also:
  Constant Field Values

### IDX_FULLTEXT

    public static final int IDX_FULLTEXT

  Special type constant to indicate that an item has been fulltext indexed.

  See Also:
    Constant Field Values

Constructor Detail

### Type

    public Type()

Method Detail

### defineBuiltInType

    public static final void defineBuiltInType(int type,
                                               java.lang.String name)

### getTypeName

    public static final java.lang.String getTypeName(int type)

  Get the internal name for the built-in type.

  Parameters:
    `type` -

### getType

    public static final int getType(java.lang.String name)
                             throws XPathException

  Get the type code for a type identified by its internal name.

  Parameters:
    `name` -
  Throws:
    `XPathException`

### getType

    public static final int getType(QName qname)
                             throws XPathException

  Get the type code for a type identified by its QName.

  Parameters:
    `qname` -
  Throws:
    `XPathException`

### defineSubType

    public static final void defineSubType(int supertype,
                                           int subtype)

  Define supertype/subtype relation.

  Parameters:
    `supertype` -
    `subtype` -

### subTypeOf

    public static final boolean subTypeOf(int subtype,
                                          int supertype)

  Check if the given type code is a subtype of the specified supertype.

  Parameters:
    `subtype` -
    `supertype` -

### getSuperType

    public static final int getSuperType(int subtype)

  Get the type code of the supertype of the specified subtype.

  Parameters:
    `subtype` -

### getCommonSuperType

    public static int getCommonSuperType(int type1,
                                         int type2)

  Find a common supertype for two given type codes. Type.ITEM is returned if no other common supertype is found.

  Parameters:
    `type1` -
    `type2` -

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.